package cn.com.qmth.print.manage.enums;

public enum RoleMeta {

    ADMIN("管理员", 1L),

    CHECKER("校验员", 2L);

    /**
     * 角色名
     */
    private String name;

    private Long id;

    RoleMeta(String name) {
        this.name = name;
    }

    private RoleMeta(String name, Long id) {
        this.name = name;
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public static RoleMeta getByName(String name) {
        for (RoleMeta r : RoleMeta.values()) {
            if (r.getName().equals(name)) {
                return r;
            }
        }
        return null;
    }

}
