package cn.com.qmth.print.manage.service;

import cn.com.qmth.print.manage.entity.UserEntity;
import cn.com.qmth.print.manage.service.query.UserQuery;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

public interface UserService extends IService<UserEntity> {

    IPage<UserEntity> pageQuery(UserQuery query);

    List<UserEntity> listByEnable();

    UserEntity findByLoginName(String loginName);
}
